﻿@model IEnumerable<Avira.MarketingResearch.Model.ViewModels.RoleEditViewModel>

@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    .scroll-div {
        height: 400px;
        position: absolute;
        width: 96%;
        overflow-y: auto;
    }

    .tblpermissions.table > thead > tr > th {
        background: #000;
        color: #fff;
    }

    .tblpermissions.table > tbody > tr > td {
        background: #fff;
        color: #000;
    }

    select:disabled {
        cursor: not-allowed;
    }
</style>


@if (ViewBag.Msg != null)
{
    <div class="container">
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-6">
                <br /><br /><br />
                <div class="text-center">
                    <label class="alert alert-danger text-center viewbagmsg" role="alertdialog">@ViewBag.Msg</label>
                </div>
            </div>
            <div class="col-md-3"></div>
        </div>
    </div>
}
else
{
    <div class="container">
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-6">
                <div class="section-container section-with-top-border">
                    @using (Html.BeginForm("Edit", "Role", FormMethod.Post))
                    {
                        @Html.AntiForgeryToken()

                        <div class="form-group">
                            @if (ViewBag.Message != null)
                            {
                                <div class="text-center">
                                    <label class="alert alert-danger text-center viewbagmsg" role="alertdialog">@ViewBag.Message</label>
                                </div>
                            }
                            <div class="text-center">
                                <label class="lblErrorMsg alert alert-danger text-center" role="alertdialog"></label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="form-horizontal">
                            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                            <div class="form-group">
                                @Html.LabelFor(model => model.First().UserRoleName, htmlAttributes: new { @class = "col-md-12 text-left" })
                                <div class="col-md-6">
                                    @{
                                        string UserRoleName = @ViewBag.UserRoleName;
                                    }
                                    @Html.EditorFor(model => UserRoleName, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                                    @Html.ValidationMessageFor(model => model.First().UserRoleName, "", new { @class = "text-danger" })
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <input type="submit" value="Update Role" class="btn btn-inverse btn-primary btn-block width-100" id="updateuserrole" />
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <a href="@Url.Action("Index","Role")" class="btn btn-inverse btn-primary btn-block width-150">
                                            Back to list
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row pull-right">

                        </div>
                        <div class="clearfix"></div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="scroll-div">
                                    <table class="table table-active tblpermissions">
                                        <thead>
                                            <tr>
                                                <th>Permission Name</th>
                                                <th>Permission Level</th>
                                            </tr>
                                        </thead>
                                        @if (ViewBag.RoleList != null)
                                        {
                                            @for (int i = 0; i < ViewBag.RolesData.Count; i++)
                                            {
                                                <tr>
                                                    <td>
                                                        @{
                                                            bool Checked;
                                                            if (@ViewBag.RolesData[i].PermissionLevel == 0)
                                                            {
                                                                Checked = false;
                                                            }
                                                            else
                                                            {
                                                                Checked = true;
                                                            }
                                                            var claaName = ViewBag.UserRoleName.Replace(" ", String.Empty) + "_" + i;
                                                        }
                                                        <label>
                                                            <input type="checkbox" name="userRoleId" value="@ViewBag.RolesData[i].UserPermisionID" class='@claaName' checked="@Checked">
                                                            &nbsp; @ViewBag.RolesData[i].PermissionName
                                                        </label>
                                                    </td>
                                                    <td>
                                                        @{
                                                            int PermissionLevel = @ViewBag.RolesData[i].PermissionLevel;
                                                        }

                                                        @Html.DropDownListFor(model => PermissionLevel, ((List<SelectListItem>)ViewBag.listItems).Select(m => new SelectListItem { Text = m.Text, Value = m.Value, Selected = (PermissionLevel.ToString() == m.Value) }), "Select Permission Level", new { @class = "form-control ddlPermission", @id = "pl_" + @claaName })
                                                    </td>
                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr>
                                                <td colspan="2">No Data Found.</td>
                                            </tr>
                                        }
                                    </table>
                                </div>
                            </div>
                        </div>
                    }
                </div>
            </div>

        </div>

    </div>
}


<script src="~/Scripts/jquery-3.0.0.js"></script>
<script>
    $(document).ready(function () {
        $(".lblErrorMsg").hide();
        $(".ddlPermission").attr("disabled", true);

        $('input[type="checkbox"]').each(function () {
            var classname = "pl_" + this.className;
            if ($(this).is(":checked")) {
                $("#" + classname).attr("disabled", false);
            }
            else {
                $("#" + classname).attr("disabled", true);
            }
        });

        $("#updateuserrole").click(function (e) {
            $('input[type="checkbox"]').each(function () {
                var classname = "pl_" + this.className;
                if ($(this).is(":checked")) {
                    var ddlplval = $("#" + classname).val();
                    if (ddlplval == "") {
                        e.preventDefault();
                        $(".lblErrorMsg").show();
                        $(".viewbagmsg").hide();
                        $(".lblErrorMsg").text("Please select Permission level.");
                        return false;
                    }
                    else {
                        $(".viewbagmsg").hide();
                        $(".lblErrorMsg").hide();
                        return true;
                    }
                }
            });
        });
    });
    $(function () {
        $('input[type="checkbox"]').click(function () {
            var classname = "pl_" + this.className;
            if ($(this).is(":checked")) {
                $("#" + classname).attr("disabled", false);
            }
            else {
                $("#" + classname).attr("disabled", true);
            }
        });
    });
</script>
